Subject: B-25 in Cola. Sc
From: "Hub & Diane Plott" <[email-masked]>
To: <[email-masked]>
Date: Fri, 25 Aug 2000 07:49:58 -0400

Steve:
The B-25 in the photos was raised from lake Greenwood near Greenwood, SC in
the 1980's. It crashed on 6/6/44 while on a training mission. Supposedly it
was buzzing some topless bathing beauties at the time and clipped a wing. it
was brought to Columbia,SC and cursory restoration began. The name of the
aircraft is Skunkie and this was visible when it was pulled from the lake.
Eventually it is to go in the state museum most likely as a Doolittle's
raiders exhibit as they started out here in Columbia.It was towed downtown
for temporary display when the Raiders had their 50th Anniversary reunion
here in 1992. More info could probably be gotten from the local paper at
www.thestate.com .
Hub Plott